question

Upvotes
Accepted
61 2 5 9

>>> import refinitiv.dataplatform.eikon NameError: name '_surface_output' is not defined

> reticulate::repl_python()Python 3.7.10 (C:/Users/XXXXXX/AppData/Local/r-miniconda/envs/r-reticulate/python.exe)Reticulate 1.20 REPL -- A Python interpreter in R.
>>> import refinitiv.dataplatform.eikon
NameError: name '_surface_output' is not defined
>>> import eikon


Package versions of Eikon and RDP:

  • Requirement already up-to-date: refinitiv.dataplatform in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.0.0a8.post2)
  • eikon in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.1.10)


package version trail:

Requirement already up-to-date: numpy in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.20.3)
Requirement already up-to-date: pandas in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.2.4)
Requirement already up-to-date: nest-asyncio in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.5.1)
Requirement already up-to-date: eikon in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.1.10)
Collecting scipy
Downloading scipy-1.6.3-cp37-cp37m-win_amd64.whl (32.6 MB)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.7.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from pandas) (2.8.1)
Requirement already satisfied, skipping upgrade: pytz>=2017.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from pandas) (2020.1)
Requirement already satisfied, skipping upgrade: httpx in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from eikon) (0.14.2)
Requirement already satisfied, skipping upgrade: datetime in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from eikon) (4.3)
Requirement already satisfied, skipping upgrade: appdirs>=1.4.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from eikon) (1.4.4)
Requirement already satisfied, skipping upgrade: websocket-client<0.58.0,>=0.54.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from eikon) (0.57.0)
Requirement already satisfied, skipping upgrade: deprecation in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from eikon) (2.1.0)
Requirement already satisfied, skipping upgrade: six>=1.5 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from python-dateutil>=2.7.3->pandas) (1.15.0)
Requirement already satisfied, skipping upgrade: httpcore==0.10.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->eikon) (0.10.2)
Requirement already satisfied, skipping upgrade: sniffio in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->eikon) (1.1.0)
Requirement already satisfied, skipping upgrade: certifi in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->eikon) (2020.12.5)
Requirement already satisfied, skipping upgrade: rfc3986[idna2008]<2,>=1.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->eikon) (1.4.0)
Requirement already satisfied, skipping upgrade: chardet==3.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->eikon) (3.0.4)
Requirement already satisfied, skipping upgrade: zope.interface in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from datetime->eikon) (5.1.0)
Requirement already satisfied, skipping upgrade: packaging in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from deprecation->eikon) (20.4)
Requirement already satisfied, skipping upgrade: h11<0.10,>=0.8 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpcore==0.10.*->httpx->eikon) (0.8.1)
Requirement already satisfied, skipping upgrade: idna; extra == "idna2008" in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from rfc3986[idna2008]<2,>=1.3->httpx->eikon) (2.10)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from zope.interface->datetime->eikon) (50.3.0.post20201006)
Requirement already satisfied, skipping upgrade: pyparsing>=2.0.2 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from packaging->deprecation->eikon) (2.4.7)
Installing collected packages: scipy
Attempting uninstall: scipy
Found existing installation: scipy 1.4.1
Uninstalling scipy-1.4.1:
Successfully uninstalled scipy-1.4.1
Successfully installed scipy-1.6.3
Requirement already up-to-date: refinitiv.dataplatform in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (1.0.0a8.post2)
Requirement already satisfied, skipping upgrade: requests-async>=0.6.2 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.6.2)
Requirement already satisfied, skipping upgrade: scipy in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (1.6.3)
Requirement already satisfied, skipping upgrade: python-configuration<0.8.0,>=0.7.1 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.7.1)
Requirement already satisfied, skipping upgrade: appdirs>=1.4.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (1.4.4)
Requirement already satisfied, skipping upgrade: deprecation in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (2.1.0)
Requirement already satisfied, skipping upgrade: pandas>=1.0.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (1.2.4)
Requirement already satisfied, skipping upgrade: nest-asyncio in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (1.5.1)
Requirement already satisfied, skipping upgrade: python-dateutil in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (2.8.1)
Requirement already satisfied, skipping upgrade: websocket-client>=0.54.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.57.0)
Requirement already satisfied, skipping upgrade: httpx in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.14.2)
Requirement already satisfied, skipping upgrade: numpy>=1.11.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (1.20.3)
Requirement already satisfied, skipping upgrade: watchdog>=0.10.2 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.10.3)
Requirement already satisfied, skipping upgrade: datetime in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (4.3)
Requirement already satisfied, skipping upgrade: eventemitter>=0.2.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from refinitiv.dataplatform) (0.2.0)
Requirement already satisfied, skipping upgrade: http3==0.6.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from requests-async>=0.6.2->refinitiv.dataplatform) (0.6.7)
Requirement already satisfied, skipping upgrade: requests==2.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from requests-async>=0.6.2->refinitiv.dataplatform) (2.24.0)
Requirement already satisfied, skipping upgrade: packaging in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from deprecation->refinitiv.dataplatform) (20.4)
Requirement already satisfied, skipping upgrade: pytz>=2017.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from pandas>=1.0.0->refinitiv.dataplatform) (2020.1)
Requirement already satisfied, skipping upgrade: six>=1.5 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from python-dateutil->refinitiv.dataplatform) (1.15.0)
Requirement already satisfied, skipping upgrade: httpcore==0.10.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->refinitiv.dataplatform) (0.10.2)
Requirement already satisfied, skipping upgrade: certifi in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->refinitiv.dataplatform) (2020.12.5)
Requirement already satisfied, skipping upgrade: sniffio in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->refinitiv.dataplatform) (1.1.0)
Requirement already satisfied, skipping upgrade: rfc3986[idna2008]<2,>=1.3 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->refinitiv.dataplatform) (1.4.0)
Requirement already satisfied, skipping upgrade: chardet==3.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from httpx->refinitiv.dataplatform) (3.0.4)
Requirement already satisfied, skipping upgrade: pathtools>=0.1.1 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from watchdog>=0.10.2->refinitiv.dataplatform) (0.1.2)
Requirement already satisfied, skipping upgrade: zope.interface in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from datetime->refinitiv.dataplatform) (5.1.0)
Requirement already satisfied, skipping upgrade: idna==2.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from http3==0.6.*->requests-async>=0.6.2->refinitiv.dataplatform) (2.10)
Requirement already satisfied, skipping upgrade: h2==3.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from http3==0.6.*->requests-async>=0.6.2->refinitiv.dataplatform) (3.2.0)
Requirement already satisfied, skipping upgrade: h11==0.8.* in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from http3==0.6.*->requests-async>=0.6.2->refinitiv.dataplatform) (0.8.1)
Requirement already satisfied, skipping upgrade: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from requests==2.*->requests-async>=0.6.2->refinitiv.dataplatform) (1.25.10)
Requirement already satisfied, skipping upgrade: pyparsing>=2.0.2 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from packaging->deprecation->refinitiv.dataplatform) (2.4.7)
Requirement already satisfied, skipping upgrade: setuptools in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from zope.interface->datetime->refinitiv.dataplatform) (50.3.0.post20201006)
Requirement already satisfied, skipping upgrade: hyperframe<6,>=5.2.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from h2==3.*->http3==0.6.*->requests-async>=0.6.2->refinitiv.dataplatform) (5.2.0)
Requirement already satisfied, skipping upgrade: hpack<4,>=3.0 in c:\users\XXXX\appdata\local\r-mini~1\envs\r-reti~1\lib\site-packages (from h2==3.*->http3==0.6.*->requests-async>=0.6.2->refinitiv.dataplatform) (3.0.0)




pythonrdp-apirefinitiv-data-platform
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvotes
Accepted
4.3k 2 4 5

Hi @laurens,

We tested on different machines, especially after installing refinitiv-dataplatform 1.0.0a8.post2 and eikon 1.1.10 on a 3.7 Python env. We didn't reproduce your issue.

I'll suggest to uninstall refinitiv-dataplatform and eikon from your Python environment, then reinstall. Don't hesitate to clean all related files and folders in your python \Lib\site-packages directory.

But before this, if you still reproducing the issue, could you trace all imports when you run your script ?
(to activate verbose mode, type "python -v <your script>")

Then, renew your installs and trace again.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.